KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataDocumentPrivate Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataContainerPrivate → Marble.GeoDataFeaturePrivate
Namespace: Marble

## Detailed Description

## Attributes

QString | m_filename
QMap<QString,Marble::GeoDataStyle> | m_styleHash
QMap<QString,Marble::GeoDataStyleMap> | m_styleMapHash

## Methods

| __init__ (self)
void | copy (self)
EnumFeatureId | featureId (self)

## Method Documentation

__init__ | ( |  | self ) |

void copy | ( |  | self ) |

EnumFeatureId featureId | ( |  | self ) |

## Attribute Documentation

QString m_filename

QMap<QString,Marble::GeoDataStyle> m_styleHash

QMap<QString,Marble::GeoDataStyleMap> m_styleMapHash